# Generated by Django 3.2.7 on 2021-10-17 06:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('business', '0004_business_message'),
        ('customer', '0002_customer_pin'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(null=True)),
                ('amount', models.FloatField(default=23.0)),
                ('cart', models.JSONField(default=dict)),
                ('business', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, to='business.business')),
                ('customer', models.OneToOneField(on_delete=django.db.models.deletion.DO_NOTHING, to='customer.customer')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
